﻿@using System.Web.UI.WebControls;  
 
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Picking List No";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PICKING_LIST_NO_2";
                        settings.Width = 160;  
                        settings.ReadOnly = true; 
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
                 </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Zone";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">                     
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ZONE_2";
                        settings.Width = 160;
                        settings.ReadOnly = true; 
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()            
                </td>  

                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Picking List Date";
                        Label.Width = 100;
                    }).GetHtml()
                </td>               
                <td style="width: 17%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PICKING_LIST_DATE_2";
                        settings.Width = 160;
                        settings.ReadOnly = true; 
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
                 </td>
            </tr>            
             <tr style="height:30px">  
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">                     
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PART_NO_2";
                        settings.Width = 160;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()            
                </td>  
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order No";
                        Label.Width = 100;
                    }).GetHtml()
                </td>               
                <td style="width: 17%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ORDER_NO_2";
                        settings.Width = 160;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
                 </td>  
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Picking List Time";
                        Label.Width = 100;
                    }).GetHtml()
                </td>               
                <td style="width: 17%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PICKING_LIST_TIME_2";
                        settings.Width = 160;
                        settings.ReadOnly = true; 
                        settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
                 </td>                          
            </tr>    
             <tr style="height:30px">           
                <td>
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdPrintPart";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Print";
                            edtSetting.ClientSideEvents.Click = "OnPrintPart";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()
                </td>
                <td>                                   
                   
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_PRINT_2"; 
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["PRINTER_FLAG"]).GetHtml()   
                               
                </td>                            
            </tr>  


            <tr style="height:30px"> 
                <td style="width: 60%" align="left" colspan="3">                   
                   
                    <div id="search_cnt">  
                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdSearchPart";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Search";
                            edtSetting.ClientSideEvents.Click = "OnSearchPart";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdClearPart";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Clear";
                            edtSetting.ClientSideEvents.Click = "OnClearPart";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CLEAR");
                        }).GetHtml()                          

                    </div> 
                </td>            
            </tr>          
        </table>
    </fieldset>
</div>
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "TT_PICKING_LIST_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "TT_PART_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "TT_TMAP_ITEM_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()

<div class="content" style="min-height: 100px">
    @Html.Partial("DetailPartGrid")
</div>